Preferred Userscript Manager is Tampermonkey

Discussion for the unofficial, community-developed addons, extensions and scripts built for the Waze Map Editor.

The official index of these tools is the Community Plugins, Extensions and Tools wiki page.

Moderators: Unholy, bextein, JustinS83, Glodenox

Forum rules
Discussion for the unofficial, community-developed addons, extensions and scripts built for the Waze Map Editor.

DO NOT START a new thread unless it is about a new idea. Keep discussion of existing tools within the main thread for that tool.

The official index of these tools is the Community Plugins, Extensions and Tools wiki page.

Re: Preferred Userscript Manager is Tampermonkey

Postby abc1357 » Sat May 04, 2019 10:43 pm

This could be due to a Firefox problem and not a Tampermonkey problem.
-- abc1357 --
California State Manager

[ img ] [ img ] [ img ] [ img ]
abc1357
State Manager
State Manager
 
Posts: 403
Joined: Thu Dec 26, 2013 9:01 pm
Location: San Francisco Bay Area, California, USA
Has thanked: 198 times
Been thanked: 160 times

Re: Preferred Userscript Manager is Tampermonkey

Postby Glodenox » Sat May 04, 2019 10:43 pm

That's actually not an issue with Tampermonkey (as it uses the WebExtensions API without any issues), but a Firefox issue that may currently affect all userscripts. Apparently a security certificate has lapsed and that is causing issues for several add-ons. It should be fixed quite soon: https://discourse.mozilla.org/t/certifi ... l/39047/11
Script Writing Community Coordinator
[ img ][ img ]
Glodenox
Waze Global Champs
Waze Global Champs
 
Posts: 1009
Joined: Tue Aug 11, 2015 9:04 pm
Location: Belgium
Has thanked: 480 times
Been thanked: 1167 times

Re: Preferred Userscript Manager is Tampermonkey

Postby JustinS83 » Sun May 05, 2019 3:11 am

Challenger3802 wrote:Well Tampermonkey was the go-to choice for Firefox users, until Firefox updated everything and broke all the script hosting.

"Starting in Firefox version 57, only extensions built using WebExtensions APIs will work."

"If a signed version is not available, contact the add-on developer or vendor to see if they can offer an updated and signed version of that add-on. You can also ask them to get their add-on signed."

I just hope the developers find and fix this problem


I run Tampermonkey in Firefox 66.0.3 with no issue.
Script Writing Community Coordinator
[ img ][ img ][ img ][ img ][ img ]
JustinS83
Waze Global Champs
Waze Global Champs
 
Posts: 1313
Joined: Wed Dec 03, 2014 4:33 am
Location: Franklin, OH
Has thanked: 335 times
Been thanked: 2332 times

Previous

Return to Addons, Extensions, and Scripts

Who is online

Users browsing this forum: ramblinwreck_81, turnertr